Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 19:22
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
HP LaserJet 100 colorMFP M175nw
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
Krypton

Joined: 27 Nov 2012
Posts: 4

PostPosted: Tue 27 Nov 2012, 09:29    Post subject:  HP LaserJet 100 colorMFP M175nw  

I can't get this printer to work. It is supposed to be supported by HPlip 3.11.7, but I can't find the driver in the list, when I try to install it.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8931
Location: Stratford, Ontario

PostPosted: Tue 27 Nov 2012, 10:20    Post subject: Re: HP LaserJet 100 colorMFP M175nw  

Krypton wrote:
I can't get this printer to work. It is supposed to be supported by HPlip 3.11.7, but I can't find the driver in the list, when I try to install it.

Please describe how you are trying to install it.
Back to top
View user's profile Send private message 
Krypton

Joined: 27 Nov 2012
Posts: 4

PostPosted: Tue 27 Nov 2012, 10:35    Post subject: Re: HP LaserJet 100 colorMFP M175nw  

rcrsn51 wrote:
Please describe how you are trying to install it.


I click "Find new printers" in the CUPS Admin. It finds my printer and let me pick the driver from a long list. My printer is not in that list even after I have installed hplip_print-3.12.10a.pet .
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8931
Location: Stratford, Ontario

PostPosted: Tue 27 Nov 2012, 10:48    Post subject:  

I can't find it either. But just to be sure, it's not at the very top of the list?

If you look in the CUPS file /usr/share/cups/drv/hp/hpcups.drv, it isn't mentioned. However, it does appear in the file /usr/share/hplip/data/models/models.dat that is used for the scanner component.

[Edit] This printer claims to be PCL6-compatible. Try installing it as a Laserjet 6. Also, if you look in the Generic section (instead of HP) there are some possible choices.

[Edit] I found your PPD file. It is a Postscript version that is not included in the PET. When you install it, your printer will appear in CUPS as a "Laserjet 100 colour MFP M175".
laserjet_100_color_mfp_m175_ps_ppd-1.0.pet
Description 
pet

 Download 
Filename  laserjet_100_color_mfp_m175_ps_ppd-1.0.pet 
Filesize  36.82 KB 
Downloaded  429 Time(s) 
Back to top
View user's profile Send private message 
Krypton

Joined: 27 Nov 2012
Posts: 4

PostPosted: Tue 27 Nov 2012, 11:20    Post subject:  

Great! It works! Many thanks
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8931
Location: Stratford, Ontario

PostPosted: Tue 27 Nov 2012, 11:23    Post subject:  

What works? The Postscript PPD?

What Puppy version are you using?

As a test, try printing from several applications, including your web browser. Is it OK?

Also, can you confirm that you do NOT need the hplip_print package to make this printer work? You would need a clean Puppy setup where you only install the PPD file.
Back to top
View user's profile Send private message 
Krypton

Joined: 27 Nov 2012
Posts: 4

PostPosted: Thu 29 Nov 2012, 11:45    Post subject:  

rcrsn51 wrote:
What works? The Postscript PPD?

What Puppy version are you using?

As a test, try printing from several applications, including your web browser. Is it OK?

Also, can you confirm that you do NOT need the hplip_print package to make this printer work? You would need a clean Puppy setup where you only install the PPD file.


I'm using Precise Puppy 5.4.1 and with a clean install with only the PPD file installed I it works to print from all applications I've tested.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8931
Location: Stratford, Ontario

PostPosted: Thu 29 Nov 2012, 12:46    Post subject:  

Krypton wrote:
I'm using Precise Puppy 5.4.1 and with a clean install with only the PPD file installed I it works to print from all applications I've tested.

Excellent. Thank you for testing this. I've noticed a number of recent HP models that are using this Postscript-only system.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0528s ][ Queries: 12 (0.0040s) ][ GZIP on ]